io_uring_buf_ring_mask(3)

NAME
io_uring_buf_ring_mask - Calculate buffer ring mask size

SYNOPSIS
#include <liburing.h>

int io_uring_buf_ring_mask(__u32 ring_entries);

DESCRIPTION

io_uring_buf_ring_mask(3) calculates the appropriate size mask for a buffer ring. ring_entries is the ring entries as specified in io_uring_register_buf_ring(3).

RETURN VALUE
Size mask for the buffer ring.

SEE ALSO
io_uring_register_buf_ring(3), io_uring_buf_ring_add(3)